package com.mh.user.controller;

import com.mh.common.http.HttpResult;
import com.mh.user.annotation.SysLogger;
import com.mh.user.entity.SystemInfoEntity;
import com.mh.user.service.SystemInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("sys")
public class SystemInfoController {

    @Autowired
    SystemInfoService systemInfoService;

    @SysLogger(value="系统查询")
    @PostMapping("/querySys")
    public HttpResult querySystem(@RequestParam(value = "roleID")String roleID) {
        List<SystemInfoEntity> list=systemInfoService.querySystem(roleID);

       return HttpResult.ok(list);
    }
}
