package com.mh.user.entity;

import java.util.Date;

public class UploadDeviceInstallEntity {

    private String deviceAddr; //通讯编号
    private String deviceName; //设备名称
    private String deviceType; //设备类型
    private int baudRate; //波特率
    private String dataCom; //串口
    private double ratio; //倍率
    private String buildingId; //楼栋编号
    private String rowId;      // Eexcel文件行号

    public UploadDeviceInstallEntity() {
    }

    public UploadDeviceInstallEntity(String deviceAddr, String deviceName,String deviceType, int baudRate,String dataCom,
                                     Double ratio, String buildingId, String rowId) {
        this.deviceAddr = deviceAddr;
        this.deviceName   = deviceName;
        this.deviceType  = deviceType;
        this.baudRate    = baudRate;
        this.dataCom     = dataCom;
        this.ratio    = ratio;
        this.buildingId    = buildingId;
        this.rowId         = rowId;
    }

    public String getDeviceAddr() {
        return deviceAddr;
    }

    public void setDeviceAddr(String deviceAddr) {
        this.deviceAddr = deviceAddr;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public int getBaudRate() {
        return baudRate;
    }

    public void setBaudRate(int baudRate) {
        this.baudRate = baudRate;
    }

    public String getDataCom() {
        return dataCom;
    }

    public void setDataCom(String dataCom) {
        this.dataCom = dataCom;
    }

    public double getRatio() {
        return ratio;
    }

    public void setRatio(double ratio) {
        this.ratio = ratio;
    }

    public String getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(String buildingId) {
        this.buildingId = buildingId;
    }


    public String getRowId() {
        return rowId;
    }

    public void setRowId(String rowId) {
        this.rowId = rowId;
    }

    @Override
    public String toString() {
        return "UploadDeviceInstallEntity{" +
                "deviceAddr='" + deviceAddr + '\'' +
                ", deviceName='" + deviceName + '\'' +
                ", deviceType='" + deviceType + '\'' +
                ", baudRate=" + baudRate +
                ", dataCom='" + dataCom + '\'' +
                ", ratio=" + ratio +
                ", buildingId='" + buildingId + '\'' +
                ", rowId='" + rowId + '\'' +
                '}';
    }
}
