package com.mh.user.mapper;

import com.mh.user.entity.ProjectInfoEntity;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface ProjectInfoMapper {

    //查询项目列表
    @Results(value = {
            @Result(property="id",column="id"),
            @Result(property="projectName",column="project_name"),
            @Result(property="pAddress",column="p_address"),
            @Result(property="pScale",column="p_scale"),
            @Result(property="pic",column="pic"),
            @Result(property="tel",column="tel"),
            @Result(property="systemID",column="system_id"),
            @Result(property="remarks",column="remarks")

    })
    @Select("select * from Project_Info  where  system_id=#{systemID}")
    List<ProjectInfoEntity> queryProjectInfo(@Param("systemID") String systemID );

    //通过id查找对应的名称
    @Select("select project_name from project_info where  id=#{id}")
    String selectName(@Param("id") String id);

}
