package com.mh.user.provide;

import java.util.Map;

/**
 * @author ljf
 * @title ：
 * @description ：网关管理提供类
 * @updateTime 2020-05-21
 * @throws ：
 */
public class GatewayManageProvider {

    public String queryByOther(Map<?,?> params) {
        StringBuffer sqlStr = new StringBuffer();
        sqlStr.append("select id, gateway_name, gateway_ip, gateway_address, data_com, " +
                "create_date, connect_date, internet_card, operator, gateway_port, grade from gateway_manage where 1=1 ");
        if(params.get("grade") != null){
            sqlStr.append(" and grade = #{grade}");
        }
        if(params.get("operator") != null){
            sqlStr.append(" and operator = #{operator}");
        }
        sqlStr.append(" order by id");
//        sqlStr.append("select top " + params.get("size") + " * from (select row_number() over(order by id asc) as rowNumber, id, " +
//                "gateway_id, gateway_name, gateway_ip, gateway_address, data_com, collection_loop, connect_date, internet_card, operator, port, grade from gateway_manage ");
//        if (params.get("gatewayID") != null && !params.get("gatewayID").equals("")){
//            sqlStr.append(" where param_id = #{paramId}");
//        }
//        sqlStr.append(" ) temp_row where rowNumber > (("+ params.get("page") +"-1)*" + params.get("size") + ")");
        return sqlStr.toString();
    }

    public String queryByOtherCount(Map<?,?> params) {
        StringBuffer sqlStr = new StringBuffer();
        sqlStr.append("select top " + params.get("size") + " * from (select row_number() over(order by id asc) as rowNumber, id, " +
                "gateway_name, gateway_ip, gateway_address, data_com, connect_date, internet_card, operator, gateway_port, grade from gateway_manage ");
        if (params.get("paramId") != null && !params.get("paramId").equals("")){
            sqlStr.append(" where param_id = #{paramId}");
        }
        return sqlStr.toString();
    }

}
