package com.mh.user.service.chillers.impl;

import com.mh.user.dto.DeviceMessageDTO;
import com.mh.user.dto.DisplayBoxDataDTO;
import com.mh.user.mapper.chillers.DeviceDisplayMapper;
import com.mh.user.service.chillers.DeviceDisplayService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author ljf
 * @title ：
 * @description ：  设备数据显示实现类
 * @updateTime 2020-05-29
 * @throws ：
 */
@Service
public class DeviceDisplayServiceImpl implements DeviceDisplayService {

    // 通过构造函数调用Mapper层接口
    private final DeviceDisplayMapper deviceDisplayMapper;

    public DeviceDisplayServiceImpl(DeviceDisplayMapper deviceDisplayMapper) {
        this.deviceDisplayMapper = deviceDisplayMapper;
    }

    @Override
    public List<DisplayBoxDataDTO> deviceDisplayBoxData(String deviceType, String type) {
        return deviceDisplayMapper.deviceDisplayBoxData(deviceType, type);
    }

    @Override
    public List<DeviceMessageDTO> queryDeviceStatus(String deviceType) {
        return deviceDisplayMapper.queryDeviceStatus(deviceType);
    }
}
