package com.mh.user.service.impl;

import com.mh.user.entity.DeviceCodeParamEntity;
import com.mh.user.mapper.DeviceCodeParamMapper;
import com.mh.user.service.DeviceCodeParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DeviceCodeParamServiceImpl implements DeviceCodeParamService {

    @Autowired
    DeviceCodeParamMapper deviceCodeParamMapper;


    @Override
    public void insertDeviceCodeParam(DeviceCodeParamEntity deviceCodeParamEntity) {
        deviceCodeParamMapper.insertDeviceCodeParam(deviceCodeParamEntity);
    }

    @Override
    public List<DeviceCodeParamEntity> queryCodeParam(String gatewayPort) {
        return deviceCodeParamMapper.queryCodeParam(gatewayPort);
    }

    @Override
    public List<DeviceCodeParamEntity> queryCodeParam2(String comName) {
        return deviceCodeParamMapper.queryCodeParam2(comName);
    }

    @Override
    public List<DeviceCodeParamEntity> queryCodeParam3() {
        return deviceCodeParamMapper.queryCodeParam3();
    }

    @Override
    public DeviceCodeParamEntity queryDeviceCodeParam(String projectID, String deviceType, String deviceAddr,String registerAddr) {
        return deviceCodeParamMapper.queryDeviceCodeParam(projectID,deviceType,deviceAddr,registerAddr);
    }

    @Override
    public int queryCount(String ProjectID) {
        return deviceCodeParamMapper.queryCount(ProjectID);
    }

    @Override
    public int queryCount2() {
        return deviceCodeParamMapper.queryCount2();
    }

    @Override
    public void insertDeviceCodeParamList(List<DeviceCodeParamEntity> deviceCodeParamEntityList) {
        deviceCodeParamMapper.insertDeviceCodeParamList(deviceCodeParamEntityList);
    }

    @Override
    public void selectInsertDeviceCodeParam(String ProjectID) {
        deviceCodeParamMapper.selectInsertDeviceCodeParam(ProjectID);
    }
}
