package com.mh.user;

import org.apache.log4j.Logger;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.scheduling.annotation.EnableScheduling;
import javax.annotation.PreDestroy;


@SpringBootApplication(scanBasePackages = "com.mh.user")
@EnableScheduling
public class UserServiceApplication extends SpringBootServletInitializer {

    private static final Logger log = Logger.getLogger(UserServiceApplication.class);

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
        return builder.sources(UserServiceApplication.class);
    }

    public static void main(String[] args) { //一共四个地方要修改,UserServiceApplication,RabbitmqConfig,log4j,bootstrap,DealDataJob
        SpringApplication.run(UserServiceApplication.class, args);
    }

    @PreDestroy
    public void destory() {
        //关闭应用前 关闭端口
    }

}
