package com.mh.user.controller;

import com.mh.common.http.HttpResult;
import com.mh.user.annotation.SysLogger;
import com.mh.user.entity.ProjectInfoEntity;
import com.mh.user.service.ProjectInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("pro")
public class ProjectInfoController {

    @Autowired
    ProjectInfoService projectInfoService;

    @SysLogger(value="项目信息",optDesc = "查询项目信息")
    @PostMapping("/queryPro")
    public HttpResult queryProject(@RequestParam(value = "systemID")String systemID) {
        List<ProjectInfoEntity> list=projectInfoService.queryProjectInfo(systemID);

        return HttpResult.ok(list);
    }
}
