package com.mh.user.controller;

import com.mh.common.http.HttpResult;
import com.mh.user.annotation.SysLogger;
import com.mh.user.entity.StrategyInfoEntity;
import com.mh.user.service.StrategyInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("strategy")
public class StrategyInfoController {

    @Autowired
    StrategyInfoService strategyInfoService;

    @SysLogger(value="节能策略查询")
    @RequestMapping("query")
    public HttpResult queryStrategyInfo(@RequestParam(value = "systemID",required = false) String systemID,
                                        @RequestParam(value = "projectID",required = false) String projectID){
         List<StrategyInfoEntity> list=strategyInfoService.queryStrategyInfo(systemID,projectID);
         return HttpResult.ok(list);
    }
}
