package com.mh.user.entity;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author ljf
 * @title ：
 * @description ：网关管理实体类
 * @updateTime 2020-05-21
 * @throws ：
 */
@Data
public class GatewayManageEntity extends BaseEntity {


    private String gatewayName;                         // 网关名称
    private String gatewayIP;                           // 网关IP地址
    private String gatewayAddress;                      // 网关安装地址
    private String dataCom;                             // 串口号
    private String createDate;                          // 安装时间
    private String connectDate;                         // 最新上线连接时间
    private int grade;                                  // 标志位(连接状态) 0：正常；1：不在线；2：异常
    private String internetCard;                        // 物联网卡号
    private int operator;                               //0:中国移动 1:中国联通 2:中国电信
    private int gatewayPort;                            // 端口号
    private String type;                                // 操作类型

}
