package com.mh.user.mapper;

import com.mh.user.entity.MeterInfoEntity;
import com.mh.user.mapper.provider.MeterInfoProvider;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface MeterInfoMapper {

    //查询仪表信息
    @SelectProvider(type = MeterInfoProvider.class,method = "queryMeterInfo")
    @Results(value = {
            @Result(property="id",column="id"),
            @Result(property="meterName",column="meterName"),
            @Result(property="meterType",column="meterType"),
            @Result(property="brand",column="brand"),
            @Result(property="currentValue",column="currentValue"),
            @Result(property ="model",column ="model"),
            @Result(property ="pulse",column ="pulse"),
            @Result(property="caliber",column="caliber"),
            @Result(property="range",column="range"),
            @Result(property="structural",column="structural"),
            @Result(property="projectID",column="project_id"),
            @Result(property="systemID",column="system_id")
    })
    List<MeterInfoEntity> queryMeterInfo(@Param("systemID") String systemID,
                                         @Param("projectID") String projectID);

}
