package com.mh.user.mapper;

import com.mh.user.entity.StrategyInfoEntity;
import com.mh.user.mapper.provider.DeviceInfoProvider;
import com.mh.user.mapper.provider.StrategyInfoProvider;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface StrategyInfoMapper {

    //查询仪表信息
    @SelectProvider(type = StrategyInfoProvider.class,method = "queryStrategyInfo")
    @Results(value = {
            @Result(property="id",column="id"),
            @Result(property="dataAnalysis",column="dataAnalysis"),
            @Result(property="operationOpt",column="operation_opt"),
            @Result(property="controlOpt",column="control_opt"),
            @Result(property="projectID",column="project_id"),
            @Result(property="systemID",column="system_id")
    })
    List<StrategyInfoEntity> queryStrategyInfo(@Param("systemID") String systemID,@Param("projectID") String projectID);
}
