package com.mh.user.mapper;

import com.mh.user.model.SysMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * author: ljf
 * desc: 系统菜单Mapper
 */
public interface SysMenuMapper {
    int deleteByPrimaryKey(Long id);

    int insert(SysMenu record);

    int insertSelective(SysMenu record);

    SysMenu selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(SysMenu record);

    int updateByPrimaryKey(SysMenu record);

	List<SysMenu> findPage();

	List<SysMenu> findPageByName(@Param(value = "systemID") String systemID,
                                 @Param(value = "name") String name);

	List<SysMenu> findAll(@Param(value = "systemID") String systemID);

	List<SysMenu> findByUserName(@Param(value = "systemID") String systemID,
                                 @Param(value = "userName") String userName);

	List<SysMenu> findRoleMenus(@Param(value = "roleId") Long roleId);
}
