package com.mh.user.mapper;

import com.mh.user.entity.SystemInfoEntity;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface SystemInfoMapper {
    //查询系统列表
    @Results(value = {
            @Result(property="id",column="id"),
            @Result(property="systemName",column="system_name"),
            @Result(property="roleID",column="role_id")
    })
    @Select("select * from System_info")
    List<SystemInfoEntity> querySystem(@Param("roleID") String roleID );
}
