package com.mh.user.mapper.chillers;

import com.mh.user.entity.DeviceManageEntity;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Options;
import org.springframework.stereotype.Component;

/**
 * @Classname DataHistoryMapper
 * @Description TODO
 * @Date 2020-06-03 16:13
 * @Created by LJF
 */
@Component
@Mapper
public interface DataHistoryMapper {

    // 插入冷量计和电表历史数据
    @Insert("insert into data_history(device_num, device_code, cur_flow, cur_date, grade, device_type)" +
            " values(#{deviceNum},#{deviceCode},#{lastValue}, #{lastDate}, 0, #{deviceType})")
    @Options(useGeneratedKeys = true, keyColumn = "id", keyProperty = "id")
    int insertDataHistory(DeviceManageEntity deviceManageEntity);

}
