package com.mh.user.mapper.provider;

public class DeviceInfoProvider {

    public String queryDeviceInfo(String systemID,String projectID,String deviceType){
        StringBuffer sql = new StringBuffer("");
        sql.append("select * from (" +
                " select *,ROW_NUMBER() over(order by id) as rn from device_info  " +
                " where 1=1 ");
        if (systemID != null && !systemID.equals("")){
            sql.append(" AND system_id = #{systemID} ");
        }
        if (projectID != null && !projectID.equals("")){
            sql.append(" AND project_id = #{projectID} ");
        }
        if (deviceType != null && !deviceType.equals("")){
            sql.append(" AND deviceType = #{deviceType} ");
        }
        sql.append(" ) T ");
//        System.out.println(sql.toString());
        return sql.toString();
    }
}
