package com.mh.user.serialport;

import com.mh.user.entity.DeviceCodeParamEntity;
import com.mh.user.service.DeviceCodeParamService;
import com.mh.user.utils.*;
import gnu.io.SerialPort;
import lombok.extern.slf4j.Slf4j;
import org.apache.log4j.Logger;
import org.springframework.context.ApplicationContext;
import java.util.List;

/**
 * @author nxr
 * @title ：
 * @description ： 串口线程处理
 * @updateTime 2022-08-10
 * @throws ：
 */

//@Slf4j
public class SerialPortThread implements Runnable{

    private static final Logger log = Logger.getLogger(SerialPortThread.class);
    private int num = 0;
    private int size = 0;
    public static SerialPort serialPort = null;
    private String name;
    public void setName(String name){
        this.name = name;
    }

    List<DeviceCodeParamEntity> deviceManageEntityList;

    // 调用service
    ApplicationContext context = SpringBeanUtil.getApplicationContext();
    DeviceCodeParamService deviceCodeParamService = context.getBean(DeviceCodeParamService.class);
    AnalysisReceiveOrder485 analysisReceiveOrder485 = new AnalysisReceiveOrder485();


    public void run(){
//        SerialPortListener serial=new SerialPortListener();
//        serial.serialPortSend(name);
        log.info(name+"串口创建发送接收数据线程>>>>>>>>>>>>>>");
//        System.out.println(name+"串口创建发送接收数据线程>>>>>>>>>>>>>>");
        SerialPortSendReceive serial=new SerialPortSendReceive();
        serial.serialPortSend(name);

        //查看所有串口
//        SerialPortUtil serialPortUtil = SerialPortUtil.getSerialPortUtil();
//        ArrayList<String> port = serialPortUtil.findPort();
//        System.out.println("发现全部串口：" + port);
//        if (port.contains(name)){
//            //打开该对应comName名字的串口
//            if (serialPort != null) { //打开之前先关闭
//                serialPortUtil.closePort(serialPort);
//                serialPort = null;
//            }
//            System.out.println("打开指定串口:" + name);
//            serialPort = serialPortUtil.openPort(name, 2400, SerialPort.DATABITS_8, SerialPort.PARITY_EVEN, SerialPort.PARITY_ODD);
//            //给对应的serialPort添加监听器
//            serialPortUtil.addListener(serialPort, new SerialPortListener());
//            try{
//                //生成对应的采集指令
//                deviceManageEntityList = deviceCodeParamService.queryCodeParam2(name);
//                System.out.println("打印列表："+deviceManageEntityList);
//                size = deviceManageEntityList.size();
//                SendOrderUtils.sendSerialPort(deviceManageEntityList.get(0),0, serialPort);
//                Thread.sleep(1000);
//            }catch (Exception e){
//                e.printStackTrace();
//            }
//
//        }else {
//            System.out.println("串口："+name+"不存在!" );
//        }
    }
}
