package com.mh.user.service;

import com.mh.user.entity.DeviceCodeParamEntity;
import org.apache.ibatis.annotations.Param;


import java.util.List;

public interface DeviceCodeParamService {

    //插入指令参数
    void insertDeviceCodeParam(DeviceCodeParamEntity deviceCodeParamEntity);

    //查询指令参数,传入IP和端口
    List<DeviceCodeParamEntity> queryCodeParam(String gatewayPort);

    //查询指令参数,传入串口
    List<DeviceCodeParamEntity> queryCodeParam2(String comName);

    //查询所有指令参数
    List<DeviceCodeParamEntity> queryCodeParam3();

    //查询单个参数
    DeviceCodeParamEntity queryDeviceCodeParam(String projectID, String deviceType, String deviceAddr,String registerAddr);

    //查询记录数
    int queryCount(String ProjectID);

    //查询记录数
    int queryCount2();

    // 批量插入生成指令参数入数据库
    void insertDeviceCodeParamList(List<DeviceCodeParamEntity> deviceCodeParamEntityList);

    //查询插入
    void selectInsertDeviceCodeParam(String ProjectID);
}
