package com.mh.user.service.chillers;

import com.mh.user.entity.ChillersEntity;
import com.mh.user.entity.OrderMessageEntity;

import java.util.Date;
import java.util.List;

/**
 * @author ljf
 * @title ：
 * @description ： 指令服务类
 * @updateTime 2020-05-28
 * @throws ：
 */
public interface OrderMessageService {

    // 更新基表管理状态值
    void updateChillersRegisterAddress(String dataStr, String registerAddr);

    // 更新发送状态status: 1(发送成功)，2(发送失败)
    void updateOrderMessage(OrderMessageEntity orderMessageEntity);

    // 查询父ID对应的信息
    ChillersEntity queryChiller(int id);

    // 查询当前ID对应的信息
    ChillersEntity queryChillerById(int id);

    // 批量插入生成的采集指令入数据库
    void batchInsertOrderMessage(List<OrderMessageEntity> orderMessageEntityList);

    // 查询最近关闭冷却塔的时间
    Date queryCloseChilledLastTime();

    // 发送指令之后，更新对应的地址对应的状态值
    void updateChillersBySendDDC(OrderMessageEntity orderMessageEntity);

}
