package com.mh.user.service.impl;

import com.mh.user.entity.DeviceInfoEntity;
import com.mh.user.mapper.DeviceInfoMapper;
import com.mh.user.model.ChillerModel;
import com.mh.user.model.DeviceModel;
import com.mh.user.service.DeviceInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class DeviceInfoServiceImpl implements DeviceInfoService {

    @Autowired
    DeviceInfoMapper deviceInfoMapper;

    @Override
    public List<DeviceInfoEntity> queryDeviceInfo(String systemID, String projectID,String deviceType) {
        return deviceInfoMapper.queryDeviceInfo(systemID,projectID,deviceType);
    }

    @Override
    public List<DeviceModel> selectDevices(String projectID) {
        return deviceInfoMapper.selectDevices(projectID);
    }

    @Override
    public List<ChillerModel> queryChiller(String projectID, String deviceAddr) {
        return deviceInfoMapper.queryChiller(projectID, deviceAddr);
    }

    @Override
    public ChillerModel selectChiller(String projectID, String deviceAddr) {
        return deviceInfoMapper.selectChiller(projectID, deviceAddr);
    }
}
